### Method

# Shumate VectorValue dup

since: 1.6

#### Declaration [src]

    ShumateVectorValue*
    shumate_vector_value_dup (
      ShumateVectorValue* self
    )

#### Description [src]

Creates a duplicate of `self`.

Available since: 1.6

#### Return value

Type: `ShumateVectorValue`

A new `ShumateVectorValue` which is a duplicate of `self`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.